QGIS On-the-fly Polar Stereographic issues
Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16526
Description

When enabling on-the-fly reprojection to polar stereographic projections (as I've tested), there are some issues related to rendering,
feature selecting and editing of on-the-fly projected vector data. For example:

Setting my project to enable on-the-fly projecting to Antarctic Polar Stereographic (EPSG:3031), adding a simple 3031 Antarctica
basemap, creating a new point shapefile in 4326, start editing, adding a series of points around the longitudes of Antarctica starting from
0dg lon and going clockwise. When | get closer to the 180dg meridian, the points are not rendered as | add them. Keep digitizing in
invisible mode, points are not rendered before | get (equally) far on the other side of the meridian. When edit session complete, | zoom in
and out at the area where the points weren't rendered. When | zoom in, the points most far away from the meridian renders, but the close
ones are still not rendered until | zoom jet further in. The points might also show or hide with panning.

Beyond the editing and rendering, selecting features interactively is also buggy when intersecting non-rendered data around the meridian.
And, if | switch from 3031 to 4326 in the project, so that the 4326 data I've digitized is shown in it's native projection, I'll see that the
digitizing in 3031 have yielded sometimes strange results. E.g. when digitizing a 4326 line between 170dg W and E in 3031, and looking
atitin 4326, it spans from 89ish to 89ish dg longitude. And that's not a rendering issue, it's the actual data.

These issues seem to affect both point, line and polygon data. I've tested on W7 machines, and both QGIS master and 1.8. I've attached
some bug screenshots.

Associated revisions

Revision 51fe6329 - 2015-10-29 12:09 PM - Jiirgen Fischer
When reprojecting a layer in geo coordinates onto a canvas with a
projection that maps badly on it (ie. projecting the reprojected extent
back differs much from the input extent; eg. when using stereographic

projections), render the full layer (whole world).

Fixes #7596

Revision d8f5dbeb - 2015-11-12 11:42 PM - Jiirgen Fischer

Limit extent reprojection workaround to vector layers (followup 51fe632; fixes #13735; refs #7596)

History

#1 - 2013-06-02 08:02 AM - Giovanni Manghi
- Priority changed from High to Normal
#2 - 2015-08-05 06:22 PM - Matthias Siewert
- Target version set to Future Release - High Priority
- File 12.png added

| experience problems with North_Pole_Lambert_Azimuthal Equal_Area (EPSG: 102017) projection. An esri shape file which has circumpolar data does

not show polygons at the 180° meridian. This happens even if the file has the same projection.

Probably relates to this bug.
Using QGIS 2.8.2

#3 - 2015-10-29 04:13 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"51fe6329aeac2cafc21f70cf4e120800ea192b7a".
